Bug 1025812 - Changing of Queue configuration requires to set expiry queue
Changing of Queue configuration requires to set expiry queue
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 5 (Show other bugs)
JON 3.2
Unspecified Unspecified
unspecified Severity high
: ER05
: JON 3.3.0
Assigned To: Libor Zoubek
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-01 12:12 EDT by Radim Hatlapatka
Modified: 2015-11-01 19:43 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-11 09:03:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radim Hatlapatka 2013-11-01 12:12:12 EDT
Description of problem:
The expiry property should be only used to changing Expiry Queue from default one, but if you don't define it, the configuration change fails with exception:

java.lang.reflect.UndeclaredThrowableException:Failed to set property 'expiryQueue' on component 'jboss.messaging.destination:name=DLQ,service=Queue' to value [SimpleMetaType:java.lang.String:null]. -> javax.management.RuntimeOperationsException:null -> java.lang.IllegalArgumentException:null object name

Version-Release number of selected component (if applicable):
JON 3.2.0.ER4 vs EAP 5.2.0


How reproducible: always


Steps to Reproduce:
1. Import EAP 5
2. Go to JBoss Messaging -> ExpiryQueue -> configuration
3. Change e.g. Max Size to some other value
4. Save configuration and see result in configuration history

Actual results:
Failed with exception: java.lang.reflect.UndeclaredThrowableException:Failed to set property 'expiryQueue' on component 'jboss.messaging.destination:name=DLQ,service=Queue' to value [SimpleMetaType:java.lang.String:null]. -> javax.management.RuntimeOperationsException:null -> java.lang.IllegalArgumentException:null object name


Expected results:
succeeds

Additional info:
Changing unrelated configuration properties shouldn't impact need for changing other property values in configuration
Comment 4 Jay Shaughnessy 2014-09-04 15:21:13 EDT
This is annoying, let's see if we can get to this for 3.3.
Comment 5 Libor Zoubek 2014-10-06 16:12:20 EDT
branch:  master
link:    https://github.com/rhq-project/rhq/commit/2b49c2e73
time:    2014-10-06 22:11:56 +0200
commit:  2b49c2e73f0338c0727112731042fd892bc8b468
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1025812 - Changing of Queue configuration requires to set expiry
         queue

         for JmsDestinationComponent we update configuration by loading
         it first, comparing simple properties and filtering out equal
         values. What is left should be the change made by user and only
         that piece is applied.
Comment 6 Libor Zoubek 2014-10-07 10:46:09 EDT
branch:  master
link:    https://github.com/rhq-project/rhq/commit/52e19f465
time:    2014-10-07 16:44:55 +0200
commit:  52e19f4651f720ff7e6077d66c7a610aab12495f
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1025812 - Changing of Queue configuration requires to set expiry
         queue

         fix public API breakage
Comment 7 Lukas Krejci 2014-10-09 07:14:08 EDT
release/jon3.3.x: 272c2b53d23d8f00b090445a6b434bbb6a529d5e
Author: Libor Zoubek <lzoubek@redhat.com>
Date:   Tue Oct 7 16:44:55 2014 +0200

    Bug 1025812 - Changing of Queue configuration requires to set expiry queue
    
    fix public API breakage
    
    (cherry picked from commit 52e19f4651f720ff7e6077d66c7a610aab12495f)
    Signed-off-by: Lukas Krejci <lkrejci@redhat.com>

release/jon3.3.x: 24627646f768c4f7e3cb78b161fd6d1560bfb72b
Author: Libor Zoubek <lzoubek@redhat.com>
Date:   Mon Oct 6 22:10:04 2014 +0200

    Bug 1025812 - Changing of Queue configuration requires to set expiry queue
    
    for JmsDestinationComponent we update configuration by loading it first,
    comparing simple properties and filtering out equal values. What is left
    should be the change made by user and only that piece is applied.
    
    (cherry picked from commit 2b49c2e73f0338c0727112731042fd892bc8b468)
    Signed-off-by: Lukas Krejci <lkrejci@redhat.com>
Comment 9 Simeon Pinder 2014-10-21 16:24:24 EDT
Moving to ON_QA as available to test with the latest brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=394734
Comment 10 Radim Hatlapatka 2014-10-23 03:23:13 EDT
Verified with JON 3.3.0.ER5 and EAP 5.2.0

Note You need to log in before you can comment on or make changes to this bug.